<?php

/**
 * @file
 *
 * Administrative functionality for newsletter tools.
 */

/**
 * Administration form for list management.
 */
function news_admin_lists() {
  $headers = array(
    array('data' => t('Name'), 'field' => 'title', 'sort' => 'asc'),
    array('data' => t('Backend'), 'field' => 'backend'),
    array('data' => t('Subscribers')),
    array('data' => t('Operations')),
  );
  $rows = array();

  $info = mlm_backends();

  foreach (mlm_lists('announcement', NULL, NULL, $headers, 50) as $mlm) {
    $rows[] = array(
      l($mlm->title(), $mlm->path()),
      $info[$mlm->backend]['title'],
      array('data' => l($mlm->count(), 'mlm/'. $mlm->lid .'/subscribers'), 'align' => 'right'),
      l(t('subscribers'), $mlm->path() .'/subscribers', array('query' => 'destination='. $_GET['q'])) .' '.
      l(t('edit'), $mlm->path() .'/edit', array('query' => 'destination='. $_GET['q'])) .' '.
      l(t('delete'), $mlm->path() .'/delete', array('query' => 'destination='. $_GET['q'])),
    );
  }

  if (!$rows) {
    $rows[] = array(array('data' => t('No lists available.'), 'colspan' => '4'));
  }

  $output = theme('table', $headers, $rows);
  $output .= theme('pager', NULL, 50, 0);
  return $output;
}
