<?php

/**
 * @file Menu functions for the News module
 */

function news_menu_menu() {
  return array(
    'send/news' => array(
      'title'            => 'Send news',
      'page callback'    => 'drupal_get_form',
      'page arguments'   => array('news_form'),
      'access callback'  => 'send_access',
      'access arguments' => array('news'),
      'type'             => MENU_NORMAL_ITEM,
      'file'             => 'news.form.inc',
      'file path'        => drupal_get_path('module', 'news') .'/includes',
    ),
    'send/news/send' => array(
      'title'            => 'Compose',
      'page callback'    => 'drupal_get_form',
      'page arguments'   => array('news_form'),
      'access callback'  => 'send_access',
      'access arguments' => array('news'),
      'type'             => MENU_DEFAULT_LOCAL_TASK,
      'file'             => 'news.form.inc',
      'file path'        => drupal_get_path('module', 'news') .'/includes',
      'weight'           => -10,
    ),
    'send/news/list' => array(
      'title'            => 'Lists',
      'page callback'    => 'news_admin_lists',
      'access arguments' => array('administer mailing lists'),
      'type'             => MENU_LOCAL_TASK,
      'file'             => 'news.admin.inc',
      'file path'        => drupal_get_path('module', 'news') .'/includes',
    ),
    'send/news/%' => array(
      'title'            => 'Send news',
      'page callback'    => 'drupal_get_form',
      'page arguments'   => array('news_form', 2),
      'access callback'  => 'send_access',
      'access arguments' => array('news'),
      'type'             => MENU_CALLBACK,
      'file'             => 'news.form.inc',
      'file path'        => drupal_get_path('module', 'news') .'/includes',
    ),
    'news/view/%send_message' => array(
      'title'            => 'View newsletter',
      'page callback'    => 'news_archive_view',
      'page arguments'   => array(2),
      'access arguments' => array('access content'),
      'type'             => MENU_CALLBACK,
      'file'             => 'news.archive.inc',
      'file path'        => drupal_get_path('module', 'news') .'/includes',
    ),
  );
}
